%define major	1
%define libname	%mklibname voikko %{major}
%define devname	%mklibname voikko -d

Summary:	A spellchecker/hyphenator library using Malaga
Name:		libvoikko
Version:	4.3
Release:	%mkrel 3
License:	GPLv2+
Group:		Text tools
URL:		http://voikko.puimula.org/
Source:		http://www.puimula.org/voikko-sources/libvoikko/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(hfstospell)

%description
This is libvoikko, library for spellcheckers and hyphenators using
Malaga natural language grammar development tool. The library is
written in C.

Currently only Finnish is supported, but adding support for other
languages should not be too hard.

%package -n	voikko-tools
Summary:	Test programs for libvoikko
Group:		Text tools
Requires:	voikko-dictionary

%description -n	voikko-tools
This is libvoikko, library for spellcheckers and hyphenators using
Malaga natural language grammar development tool.

This package contains the voikkospell and voikkohyphenate programs.

%package -n	%{libname}
Summary:	Shared library of libvoikko
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This is libvoikko, library for spellcheckers and hyphenators using
Malaga natural language grammar development tool. The library is
written in C.

This package contains the library needed to run programs dynamically
linked with libvoikko.

%package -n	%{devname}
Summary:	Headers and static library for libvoikko development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	libvoikko-devel = %{version}-%{release}
Provides:	voikko-devel = %{version}-%{release}

%description -n	%{devname}
This is libvoikko, library for spellcheckers and hyphenators using
Malaga natural language grammar development tool. The library is
written in C.

This package contains the headers and static library that
programmers will need to develop applications which will use
libvoikko.

%package -n	python3-%{name}
Summary:	Python3 bindings for libvoikko
Group:		Development/Python
Requires:	%{libname} = %{version}
Requires:	voikko-dictionary

%description -n python3-%{name}
This is libvoikko, library for spellcheckers and hyphenators using
Malaga natural language grammar development tool. The library is
written in C.

This package contains the Python3 bindings for libvoikko.

%prep
%autosetup -p2

%build
%configure \
	--disable-static \
	--with-dictionary-path=%{_prefix}/lib/voikko
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

install -D -m644 python/libvoikko.py %{buildroot}%{python3_sitelib}/libvoikko.py

%files -n voikko-tools
%doc README
%{_bindir}/voikkogc
%{_bindir}/voikkospell
%{_bindir}/voikkohyphenate
%{_bindir}/voikkovfstc
%{_mandir}/man1/voikkogc.1*
%{_mandir}/man1/voikkospell.1*
%{_mandir}/man1/voikkohyphenate.1*
%{_mandir}/man1/voikkovfstc.1*

%files -n %{libname}
%doc README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%doc README
%{_libdir}/*.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%files -n python3-%{name}
%doc README
%{python3_sitelib}/libvoikko.py*
%{python3_sitelib}/__pycache__/*


%changelog
* Thu Dec 03 2020 luigiwalser <luigiwalser> 4.3-3.mga8
+ Revision: 1651930
- rebuild for hfst-ospell

* Tue Feb 18 2020 umeabot <umeabot> 4.3-2.mga8
+ Revision: 1538233
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Nov 17 2019 daviddavid <daviddavid> 4.3-1.mga8
+ Revision: 1461413
- new version: 4.3

* Sun Sep 22 2019 daviddavid <daviddavid> 4.2-3.mga8
+ Revision: 1444547
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 wally <wally> 4.2-2.mga7
+ Revision: 1350577
- rebuild for python3.7

* Sat Dec 01 2018 daviddavid <daviddavid> 4.2-1.mga7
+ Revision: 1336990
- new version: 4.2
- remove merged upstream patch
- rename python-libvoikko to python2-libvoikko

* Tue Sep 04 2018 tv <tv> 4.1.1-4.mga7
+ Revision: 1256947
- Adapt to the namespace changes in hfst-ospell
- rebuild in the hope to fix:
  "** (process:211): WARNING **: 02:29:08.213: Error loading plugin: /usr/lib64/libvoikko.so.1: undefined symbol: _ZN7hfst_ol13ZHfstOspellerC1Ev"

* Tue Jan 02 2018 wally <wally> 4.1.1-3.mga7
+ Revision: 1189382
- rebuild for new hfstospell

* Sat Aug 05 2017 pterjan <pterjan> 4.1.1-2.mga7
+ Revision: 1135263
- Rebuild for python 3.6

* Tue May 30 2017 wally <wally> 4.1.1-1.mga6
+ Revision: 1105546
- new version 4.1.1

* Sat Jan 28 2017 wally <wally> 4.1-1.mga6
+ Revision: 1083806
- new version 4.1
- add python3 support

* Tue Jul 12 2016 neoclust <neoclust> 3.8-2.mga6
+ Revision: 1041371
- Rebuild to fix signature on ARM

* Fri Jan 01 2016 luigiwalser <luigiwalser> 3.8-1.mga6
+ Revision: 917794
- 3.8

* Wed Oct 15 2014 umeabot <umeabot> 3.7.1-2.mga5
+ Revision: 743287
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 luigiwalser <luigiwalser> 3.7.1-1.mga5
+ Revision: 737600
- 3.7.1

* Sat Sep 27 2014 tv <tv> 3.7-4.mga5
+ Revision: 726921
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.7-3.mga5
+ Revision: 681849
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 3.7-2.mga5
+ Revision: 628314
- Rebuild for new Python

* Sat Feb 15 2014 luigiwalser <luigiwalser> 3.7-1.mga5
+ Revision: 591544
- 3.7

* Mon Oct 21 2013 umeabot <umeabot> 3.6.1-3.mga4
+ Revision: 540831
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 luigiwalser <luigiwalser> 3.6.1-2.mga4
+ Revision: 494376
- include pyc and pyo files in python subpackage files list

* Mon Sep 02 2013 luigiwalser <luigiwalser> 3.6.1-1.mga4
+ Revision: 474192
- 3.6.1
- update URLs
- voikkovfstc command is no longer built

* Sun Jun 23 2013 luigiwalser <luigiwalser> 3.6-1.mga4
+ Revision: 446006
- 3.6

* Sat Jan 12 2013 umeabot <umeabot> 3.5-2.mga3
+ Revision: 358413
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 02 2012 luigiwalser <luigiwalser> 3.5-1.mga3
+ Revision: 287318
- fix files list (add voikkovfstc)
+ fwang <fwang>
- new version 3.5

* Sun Feb 12 2012 anssi <anssi> 3.4.1-1.mga2
+ Revision: 208104
- new version 3.4.1

* Wed Dec 21 2011 fwang <fwang> 3.4-1.mga2
+ Revision: 185395
- new version 3.4

* Tue Sep 27 2011 fwang <fwang> 3.3.1-1.mga2
+ Revision: 149242
- new version 3.3.1
- new version 3.2.1

* Mon Mar 28 2011 mikala <mikala> 3.2-2.mga1
+ Revision: 78503
- Update tarball to 3.2
- Remove BuildRoot

* Tue Jan 18 2011 pterjan <pterjan> 3.1-2.mga1
+ Revision: 21834
- Rebuild for python 2.7

* Fri Jan 14 2011 anssi <anssi> 3.1-1.mga1
+ Revision: 17575
- drop old macros
- new version
- imported package libvoikko


* Mon Nov 01 2010 Anssi Hannula <anssi@mandriva.org> 3.0-2mdv2011.0
+ Revision: 591574
- rebuild for new python
- drop the now unneeded use of py_requires macro

* Sat Jul 10 2010 Anssi Hannula <anssi@mandriva.org> 3.0-1mdv2011.0
+ Revision: 549975
- new version

* Wed Apr 28 2010 Anssi Hannula <anssi@mandriva.org> 2.3.1-1mdv2010.1
+ Revision: 540547
- new version

* Sat Feb 06 2010 Anssi Hannula <anssi@mandriva.org> 2.2.2-3mdv2010.1
+ Revision: 501392
- package python bindings in subpackage python-libvoikko

* Mon Jan 18 2010 Funda Wang <fwang@mandriva.org> 2.2.2-2mdv2010.1
+ Revision: 492933
- BR python

* Sun Dec 20 2009 Funda Wang <fwang@mandriva.org> 2.2.2-1mdv2010.1
+ Revision: 480387
- new version 2.2.2

* Fri Oct 09 2009 Anssi Hannula <anssi@mandriva.org> 2.2.1-1mdv2010.0
+ Revision: 456310
- new bugfix release

* Thu Oct 01 2009 Anssi Hannula <anssi@mandriva.org> 2.2-1mdv2010.0
+ Revision: 452159
- new version (no changes since 2.2rc2)

* Sat Sep 19 2009 Anssi Hannula <anssi@mandriva.org> 2.2-0.rc2.1mdv2010.0
+ Revision: 444708
- new testing release 2.2rc2
- libmalaga is no longer used, dependency is replaced with glib2

* Mon May 25 2009 Funda Wang <fwang@mandriva.org> 2.1-1mdv2010.0
+ Revision: 379488
- New version 2.1

* Sun Sep 07 2008 Anssi Hannula <anssi@mandriva.org> 2.0-1mdv2009.0
+ Revision: 282088
- new version

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 29 2008 Anssi Hannula <anssi@mandriva.org> 1.7-1mdv2009.0
+ Revision: 212851
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 26 2007 Anssi Hannula <anssi@mandriva.org> 1.6-1mdv2008.1
+ Revision: 137921
- 1.6

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 31 2007 Anssi Hannula <anssi@mandriva.org> 1.5-1mdv2008.0
+ Revision: 77040
- 1.5
- more specific license tag
- migrate to the new devel policy

* Tue May 15 2007 Anssi Hannula <anssi@mandriva.org> 1.4.1-1mdv2008.0
+ Revision: 27049
- 1.4.1

* Mon Apr 30 2007 Anssi Hannula <anssi@mandriva.org> 1.4-1mdv2008.0
+ Revision: 19487
- 1.4


* Mon Feb 12 2007 Anssi Hannula <anssi@mandriva.org> 1.3.1-1mdv2007.0
+ Revision: 119046
- 1.3.1

* Mon Feb 05 2007 Anssi Hannula <anssi@mandriva.org> 1.3-1mdv2007.1
+ Revision: 116226
- 1.3
- update URL

* Sat Nov 11 2006 Anssi Hannula <anssi@mandriva.org> 1.2-1mdv2007.1
+ Revision: 83087
- 1.2

* Sun Oct 29 2006 Anssi Hannula <anssi@mandriva.org> 1.1-1mdv2007.1
+ Revision: 73611
- 1.1
- drop patch0, fixed upstream
- Import libvoikko

* Sun Sep 10 2006 Anssi Hannula <anssi@mandriva.org> 1.0-4mdv2007.0
- patch0: lower the char count limit and apply it to ucs4 functions too

* Tue Aug 22 2006 Anssi Hannula <anssi@mandriva.org> 1.0-3mdv2007.0
- fix provides of -devel package
- require dictionary by tools, not by library
- use upstream dictionary path

* Wed Aug 16 2006 Anssi Hannula <anssi@mandriva.org> 1.0-2mdv2007.0
- update dictionary path

* Mon Aug 14 2006 Anssi Hannula <anssi@mandriva.org> 1.0-1mdv2007.0
- initial Mandriva release

